"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compositionRules = void 0;
const specifiedRules_1 = require("graphql/validation/specifiedRules");
const graphql_1 = require("graphql");
const sdl_1 = require("./validate/sdl");
const omit = [
    graphql_1.UniqueDirectivesPerLocationRule,
    graphql_1.UniqueTypeNamesRule,
    graphql_1.UniqueEnumValueNamesRule,
    graphql_1.PossibleTypeExtensionsRule,
    graphql_1.UniqueFieldDefinitionNamesRule,
];
exports.compositionRules = specifiedRules_1.specifiedSDLRules
    .filter(rule => !omit.includes(rule))
    .concat([
    sdl_1.UniqueFieldDefinitionNames,
    sdl_1.UniqueTypeNamesWithFields,
    sdl_1.MatchingEnums,
    sdl_1.UniqueUnionTypes,
    sdl_1.PossibleTypeExtensions,
]);
//# sourceMappingURL=rules.js.map