"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreDirective = void 0;
const graphql_1 = require("graphql");
const CorePurpose = new graphql_1.GraphQLEnumType({
    name: 'core__Purpose',
    values: {
        EXECUTION: {
            description: '`EXECUTION` features provide metadata necessary to for operation execution.',
        },
        SECURITY: {
            description: '`SECURITY` features provide metadata necessary to securely resolve fields.',
        },
    },
});
exports.CoreDirective = new graphql_1.GraphQLDirective({
    name: 'core',
    locations: [graphql_1.DirectiveLocation.SCHEMA],
    args: {
        feature: {
            type: new graphql_1.GraphQLNonNull(graphql_1.GraphQLString),
        },
        as: {
            type: graphql_1.GraphQLString,
        },
        for: {
            type: CorePurpose,
        },
    },
    isRepeatable: true,
});
//# sourceMappingURL=coreSpec.js.map